#!/bin/bash

set -e

V=$(cat VERSION)
D="$(pwd)/build"

git commit -a
git tag $V
git push --tags
git tag -d $V
git push --all
tea r c --repo cmake/myx -t $V --tag $V -a "$D/myx-cmake-local-${V}.tar.xz"
tea r c --repo cmake/myx -t $V --tag $V -a "$D/myx-cmake_${V}.dsc"
tea r c --repo cmake/myx -t $V --tag $V -a "$D/myx-cmake_${V}.tar.xz"
tea r c --repo cmake/myx -t $V --tag $V -a "$D/myx-cmake_${V}_all.deb"
